Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.impl
Class StrutsObjectFactory

    java.lang.Object
      com.opensymphony.xwork2.ObjectFactory
          org.apache.struts2.impl.StrutsObjectFactory

All Implemented Interfaces:
  Serializable

Deprecated. since version 2.3.16

    @Deprecated
    public class StrutsObjectFactory

extends ObjectFactory

Instead of overriding the whole class a new `InterceptorFactory` should be defined, thus should be solved in Struts 2.5

See Also:
  Serialized Form

Constructor Summary
`StrutsObjectFactory()` Deprecated.

Method Summary
`Interceptor` | `buildInterceptor(InterceptorConfig interceptorConfig, Map refParams)` Deprecated.
`void` | `setReflectionProvider(ReflectionProvider reflectionProvider)` Deprecated.

Methods inherited from class com.opensymphony.xwork2.ObjectFactory
`buildAction, buildBean, buildBean, buildBean, buildConverter, buildResult, buildUnknownHandler, buildValidator, getClassInstance, getObjectFactory, injectInternalBeans, isNoArgConstructorRequired, setActionFactory, setClassLoader, setContainer, setConverterFactory, setInterceptorFactory, setResultFactory, setUnknownHandlerFactory, setValidatorFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StrutsObjectFactory

    public StrutsObjectFactory()

  Deprecated.

Method Detail

### setReflectionProvider

    public void setReflectionProvider(ReflectionProvider reflectionProvider)

  Deprecated.

### buildInterceptor

    public Interceptor buildInterceptor(InterceptorConfig interceptorConfig,
                                        Map refParams)
                                 throws ConfigurationException

  Deprecated.
  Overrides:
    `buildInterceptor` in class `ObjectFactory`
  Throws:
    `ConfigurationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2017 Apache Software Foundation. All rights reserved.